-- Appearances from Mists of Pandaria (v.5.x)

--
-- LOCAL VARIABLES
--

local ALL			= SetCollector.ALL
local ANY			= SetCollector.ANY

-- Armor Type
local CLOTH			= SetCollector.CLOTH
local LEATHER		= SetCollector.LEATHER
local MAIL			= SetCollector.MAIL
local PLATE			= SetCollector.PLATE

-- Classes
local DEATHKNIGHT	= SetCollector.DEATHKNIGHT
local DEMONHUNTER	= SetCollector.DEMONHUNTER
local DRUID 		= SetCollector.DRUID
local HUNTER 		= SetCollector.HUNTER
local MAGE 			= SetCollector.MAGE
local MONK 			= SetCollector.MONK
local PALADIN 		= SetCollector.PALADIN
local PRIEST 		= SetCollector.PRIEST
local ROGUE 		= SetCollector.ROGUE
local SHAMAN 		= SetCollector.SHAMAN
local WARLOCK 		= SetCollector.WARLOCK
local WARRIOR 		= SetCollector.WARRIOR

-- Factions
local ALLIANCE 		= SetCollector.ALLIANCE
local HORDE 		= SetCollector.HORDE

-- Roles
local TANK 			= SetCollector.TANK
local HEALER 		= SetCollector.HEALER
local CASTER 		= SetCollector.CASTER
local RANGED 		= SetCollector.RANGED
local MELEE 		= SetCollector.MELEE

-- Obtainable
local OBTAIN		= SetCollector.OBTAIN
local NOOBTAIN 		= SetCollector.NOOBTAIN

-- Useable as Transmog
local TRANSMOG 		= SetCollector.TRANSMOG
local NOTRANSMOG 	= SetCollector.NOTRANSMOG


--
-- LOCAL FUNCTIONS
--

local function A(a, s, i, ...)
	return SetCollector:A(a, s, i, ...)
end


local function GetLegendaries()
	local col = SetCollector.LEGENDARY
	local set = ""
	
	set = SetCollector:AddSet(70000,nil,col,41,"LG_CASTER_INT_90",ANY,ANY,CASTER,ANY)
		  SetCollector:AddVariant(70000,nil,col,set,"LG_CASTER_INT_90",TRANSMOG,A(20801,54617,102246))
	set = SetCollector:AddSet(70000,nil,col,42,"LG_HEALER_INT_90",ANY,ANY,HEALER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"LG_HEALER_INT_90",TRANSMOG,A(20825,54618,102247))	
	set = SetCollector:AddSet(70000,nil,col,43,"LG_MELEE_AGI_90",ANY,ANY,MELEE,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"LG_MELEE_AGI_90",TRANSMOG,A(20805,54619,102248))
	set = SetCollector:AddSet(70000,nil,col,44,"LG_MELEE_STR_90",ANY,ANY,MELEE,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"LG_MELEE_STR_90",TRANSMOG,A(20805,54620,102249))
	set = SetCollector:AddSet(70000,nil,col,45,"LG_MELEE_AGI_90",ANY,ANY,RANGED,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"LG_MELEE_AGI_90",TRANSMOG,A(20803,54619,102248))
	set = SetCollector:AddSet(70000,nil,col,46,"LG_TANK_STR_90",ANY,ANY,TANK,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"LG_TANK_STR_90",TRANSMOG,A(20805,54620,102249))
end


local function GetCraftedAppearances()
	local col = SetCollector.CRAFTED
	local set = ""
	
	set = SetCollector:AddSet(70000,nil,col,90,"CR_CLOTH_90",CLOTH,ANY,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"CR_CLOTH_90",TRANSMOG,A(22893,63683),A(22895,63686),A(22897,63687),A(22892,63685),A(22894,63684),A(22890,63688))
end


local function GetDeathKnightAppearances()
	local col = ""
	local set = ""
	
	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,161,"DK_TR_MELEE_16",PLATE,DEATHKNIGHT,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20921,52338),A(20918,52340),A(20928,52347),A(20920,52348),A(20917,52339))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(21058,52852),A(21063,52920),A(20987,52889),A(20988,52890),A(20986,52853))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20989,52475),A(20985,52468),A(20987,52473),A(20988,52474),A(20986,52472))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21001,52618),A(21003,52620),A(21008,52616),A(21009,52617),A(21002,52619))
				
	set = SetCollector:AddSet(70000,nil,col,151,"DK_TR_MELEE_15",PLATE,DEATHKNIGHT,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20476,50327),A(20478,50329),A(20474,50325),A(20475,50326),A(20477,50328))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20311,49974),A(20431,49976),A(20424,49972),A(20480,49973),A(20427,49975))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20126,50951),A(20128,50953),A(20124,50949),A(20125,50950),A(20127,50952))
				
	set = SetCollector:AddSet(70000,nil,col,141,"DK_TR_MELEE_14",PLATE,DEATHKNIGHT,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18977,44574),A(18975,44572),A(18979,44576),A(18978,44575),A(18976,44573))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18581,43694),A(18579,43692),A(18583,43696),A(18582,43695),A(18580,43693))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19036,44777),A(19038,44779),A(19034,44775),A(19035,44776),A(19037,44778))

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"DK_CD_90",PLATE,DEATHKNIGHT,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"DK_CD_90",TRANSMOG,A(17954,46754),A(17956,46756),A(17952,46752),A(17957,46757),A(17953,46753),A(17950,46750),A(17955,46755),A(17951,46751))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"DK_PVP_16",PLATE,DEATHKNIGHT,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23971,64104),A(23973,64106),A(23969,64102),A(23970,64103),A(23972,64105))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23971,63986),A(23973,63988),A(23969,63984),A(23970,63985),A(23972,63987))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24141,64511),A(24143,64513),A(24139,64509),A(24140,64510),A(24142,64512))
	set = SetCollector:AddSet(70000,nil,col,16,"DK_PVP_16",PLATE,DEATHKNIGHT,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23979,67674),A(23981,67676),A(23977,67672),A(23978,67673),A(23980,67675))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23979,67569),A(23981,67571),A(23977,67567),A(23978,67568),A(23980,67570))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24150,60168),A(24152,60170),A(24148,60166),A(24149,60167),A(24151,60169))
				
	set = SetCollector:AddSet(70000,nil,col,15,"DK_PVP_MELEE_15",PLATE,DEATHKNIGHT,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20720,54886),A(20722,54835),A(20718,54856),A(20719,54833),A(20721,54834))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20704,55145),A(20706,55147),A(20702,55143),A(20703,55144),A(20700,55212),A(20705,55146),A(20701,55215))
	set = SetCollector:AddSet(70000,nil,col,15,"DK_PVP_MELEE_15",PLATE,DEATHKNIGHT,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20713,55480),A(20711,55478),A(20712,55479),A(20710,55477),A(20714,55481))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20704,55145),A(20706,55147),A(20702,55143),A(20703,55144),A(20700,55212),A(20705,55146),A(20701,55215))
				
	set = SetCollector:AddSet(70000,nil,col,14,"DK_PVP_MELEE_14",PLATE,DEATHKNIGHT,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20712,53374),A(20714,53378),A(20710,53370),A(20711,53372),A(20713,53376))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20704,53375),A(20706,53379),A(20702,53371),A(20703,53373),A(20705,53377))
	set = SetCollector:AddSet(70000,nil,col,14,"DK_PVP_MELEE_14",PLATE,DEATHKNIGHT,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20720,53754),A(20722,53703),A(20718,53724),A(20719,53701),A(20721,53702))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20704,53375),A(20706,53379),A(20702,53371),A(20703,53373),A(20705,53377))
end


local function GetDruidAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,16,"DR_TR_CASTER_16",LEATHER,DRUID,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20899,52276,98995),A(20888,52279,98998),A(20900,52278,98997),A(20898,52275,98994),A(20891,52277,98996))
				SetCollector:AddVariant(60000,nil,col,set,"NORMAL",TRANSMOG,A(20979,52899,99618),A(20981,52902,99621),A(20984,52901,99620),A(20978,52898,99617),A(20980,52900,99619))
				SetCollector:AddVariant(60000,nil,col,set,"HEROIC",TRANSMOG,A(20979,52456,99175),A(20981,52450,99169),A(20984,52458,99177),A(20978,52455,99174),A(20980,52457,99176))
				SetCollector:AddVariant(60000,nil,col,set,"MYTHIC",TRANSMOG,A(21006,52714,99433),A(21000,52709,99428),A(21004,52708,99427),A(21005,52713,99432),A(21007,52715,99434))

	--[[set = SetCollector:AddSet(70000,nil,col,16,"DR_TR_MELEE_16",LEATHER,DRUID,MELEE,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,99043,99022,99041,99042,99044)
				SetCollector:AddVariant(60000,nil,col,set,"NORMAL",TRANSMOG,99599,99589,99632,99633,99600)
				SetCollector:AddVariant(60000,nil,col,set,"HEROIC",TRANSMOG,99182,99184,99180,99181,99183)
				SetCollector:AddVariant(60000,nil,col,set,"MYTHIC",TRANSMOG,99328,99322,99326,99327,99329)

	set = SetCollector:AddSet(70000,nil,col,16,"DR_TR_TANK_16",LEATHER,DRUID,TANK,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,99001,98978,98999,99000,98981)
				SetCollector:AddVariant(60000,nil,col,set,"NORMAL",TRANSMOG,99624,99664,99622,99623,99610)
				SetCollector:AddVariant(60000,nil,col,set,"HEROIC",TRANSMOG,99164,99166,99170,99163,99165)
				SetCollector:AddVariant(60000,nil,col,set,"MYTHIC",TRANSMOG,99421,99423,99419,99420,99422)

	set = SetCollector:AddSet(70000,nil,col,16,"DR_TR_HEALER_16",LEATHER,DRUID,HEALER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,99013,99016,99015,99012,99014)
				SetCollector:AddVariant(60000,nil,col,set,"NORMAL",TRANSMOG,99638,99583,99582,99637,99581)
				SetCollector:AddVariant(60000,nil,col,set,"HEROIC",TRANSMOG,99178,99173,99172,99185,99171)
				SetCollector:AddVariant(60000,nil,col,set,"MYTHIC",TRANSMOG,99436,99431,99430,99435,99429)]]--

	set = SetCollector:AddSet(70000,nil,col,15,"DR_TR_CASTER_15",LEATHER,DRUID,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(19849,50341,95846),A(19852,50344,95849),A(19851,50343,95848),A(19848,50340,95845),A(19850,50342,95847))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(19858,49988,95246),A(19861,49991,95249),A(19860,49990,95248),A(19857,49987,95245),A(19859,49989,95247))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19840,50965,96590),A(19842,50968,96593),A(19844,50967,96592),A(19839,50964,96589),A(19841,50966,96591))

	--[[set = SetCollector:AddSet(70000,nil,col,15,"DR_TR_MELEE_15",LEATHER,DRUID,MELEE,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,95837,95839,95835,95836,95838)
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,95237,95239,95235,95236,95238)
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,96581,96583,96579,96580,96582)

	set = SetCollector:AddSet(70000,nil,col,15,"DR_TR_TANK_15",LEATHER,DRUID,TANK,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,95852,95854,95850,95851,95853)
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,95252,95254,95250,95251,95253)
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,96596,96598,96594,96595,96597)

	set = SetCollector:AddSet(70000,nil,col,15,"DR_TR_HEALER_15",LEATHER,DRUID,HEALER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,95841,95844,95843,95840,95842)
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,95241,95244,95243,95240,95242)
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,96585,96588,96587,96584,96586)]]--

	set = SetCollector:AddSet(70000,nil,col,14,"DR_TR_CASTER_14",LEATHER,DRUID,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18973,44545,86647),A(18970,44542,86644),A(18971,44543,86645),A(18974,44546,86648),A(18972,44594,86696))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18577,43665,85307),A(18574,43662,85304),A(18575,43663,85305),A(18578,43666,85308),A(18576,43714,85356))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19041,44796,86934),A(19043,44799,86937),A(19039,44798,86936),A(19040,44795,86933),A(19042,44792,86930))
	
	--[[set = SetCollector:AddSet(70000,nil,col,14,"DR_TR_MELEE_14",LEATHER,DRUID,MELEE,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,86651,86649,86653,86652,86650)
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,85311,85309,85313,85312,85310)
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,86925,86927,86923,86924,86926)
	
	set = SetCollector:AddSet(70000,nil,col,14,"DR_TR_TANK_14",LEATHER,DRUID,TANK,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,86721,86723,86719,86720,86722)
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,85381,85383,85379,85380,85382)
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,86940,86942,86938,86939,86941)
	
	set = SetCollector:AddSet(70000,nil,col,14,"DR_TR_HEALER_14",LEATHER,DRUID,HEALER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,86697,86694,86695,86698,86646)
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,85357,85354,85355,85358,85306)
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,86929,86932,86931,86928,86935)]]--

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,1,"DR_CD_90",LEATHER,DRUID,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"DR_CD_90",TRANSMOG,A(17870,46761,90062),A(17875,46764,90065),A(17877,46763,90064),A(17876,46765,90066),A(17873,46760,90061),A(17869,46758,90059),A(17874,46762,90063),A(17871,46759,90060))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"DR_PVP_16",LEATHER,DRUID,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23785,64108,115203),A(23787,64111,115206),A(23783,64110,115205),A(23784,64107,115202),A(23786,64109,115204))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23785,63990,115055),A(23787,63993,115058),A(23783,63992,115057),A(23784,63989,115054),A(23786,63991,115056))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24738,64515,115635),A(24740,64518,115638),A(24742,64517,115637),A(24737,64514,115634),A(24739,64516,115636))
				
	set = SetCollector:AddSet(70000,nil,col,16,"DR_PVP_16",LEATHER,DRUID,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23793,67678,119980),A(23795,67681,119983),A(23791,67680,119982),A(23792,67677,119979),A(23794,67679,119981))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23793,67573,119845),A(23795,67576,119848),A(23791,67575,119847),A(23792,67572,119844),A(23794,67574,119846))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,111108,111111,111110,111107,111109)
				
	--[[set = SetCollector:AddSet(70000,nil,col,15,"DR_PVP_MELEE_15",LEATHER,DRUID,MELEE,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20849,54822,102653),A(20854,54875,102741),A(20856,54805,102740),A(20852,54872,102739),A(20853,54933,102645))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20831,55164,103010),A(20836,55167,103013),A(20838,55166,103012),A(20834,55163,103009),A(20830,55161,103138),A(20835,55165,103011),A(20832,55162,103137))
				
	set = SetCollector:AddSet(70000,nil,col,15,"DR_PVP_HEALER_15",LEATHER,DRUID,HEALER,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,102776,102658,102721,102657,102761)
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,103017,103020,103019,103016,103014,103018,103015)]]--
				
	set = SetCollector:AddSet(70000,nil,col,15,"DR_PVP_CASTER_15",LEATHER,DRUID,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20849,54822,102634),A(20854,54875,102700),A(20856,54805,102614),A(20852,54872,102696),A(20853,54933,102767))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20831,55164,103025),A(20836,55167,103028),A(20838,55166,103027),A(20834,55163,103024),A(20830,55161,103022),A(20835,55165,103026),A(20832,55162,103023))
				
	--[[set = SetCollector:AddSet(70000,nil,col,15,"DR_PVP_MELEE_15",LEATHER,DRUID,MELEE,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,103381,103382,103383,103384,103385)
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,103012,103009,103010,103011,103013,103137,103138)
				
	set = SetCollector:AddSet(70000,nil,col,15,"DR_PVP_HEALER_15",LEATHER,DRUID,HEALER,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,103389,103390,103391,103392,103393)
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,103017,103014,103015,103016,103018,103019,103020)]]--
				
	set = SetCollector:AddSet(70000,nil,col,15,"DR_PVP_CASTER_15",LEATHER,DRUID,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20840,55483,103399),A(20845,55486,103402),A(20847,55485,103401),A(20843,55482,103398),A(20844,55484,103400))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20831,55164,103025),A(20836,55167,103028),A(20838,55166,103027),A(20834,55163,103024),A(20830,55161,103022),A(20835,55165,103026),A(20832,55162,103023))
				
	--[[set = SetCollector:AddSet(70000,nil,col,14,"DR_PVP_MELEE_14",LEATHER,DRUID,MELEE,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,100255,100261,100259,100253,100257)
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,100256,100262,100260,100254,100258)
				
	set = SetCollector:AddSet(70000,nil,col,14,"DR_PVP_HEALER_14",LEATHER,DRUID,HEALER,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,100270,100276,100274,100268,100272)
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,100271,100277,100275,100269,100273)]]--
				
	set = SetCollector:AddSet(70000,nil,col,14,"DR_PVP_CASTER_14",LEATHER,DRUID,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20840,53414,100287),A(20845,53420,100293),A(20847,53418,100291),A(20843,53412,100285),A(20844,53416,100289))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20831,53415,100288),A(20836,53421,100294),A(20838,53419,100292),A(20834,53413,100286),A(20835,53417,100290))
				
	--[[set = SetCollector:AddSet(70000,nil,col,14,"DR_PVP_MELEE_14",LEATHER,DRUID,MELEE,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,100597,100687,100686,100685,100598)
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,100256,100262,100260,100254,100258)
				
	set = SetCollector:AddSet(70000,nil,col,14,"DR_PVP_HEALER_14",LEATHER,DRUID,HEALER,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,100722,100602,100667,100601,100707)
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,100271,100277,100275,100269,100273)]]--
				
	set = SetCollector:AddSet(70000,nil,col,14,"DR_PVP_CASTER_14",LEATHER,DRUID,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20849,53690,100577),A(20854,53743,100646),A(20856,53673,100557),A(20852,53740,100642),A(20853,53801,100713))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20831,53415,100288),A(20836,53421,100294),A(20838,53419,100292),A(20834,53413,100286),A(20835,53417,100290))
end


local function GetHunterAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,160,"HU_TR_RANGED_16",MAIL,HUNTER,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20935,52361,99080),A(20937,52363,99082),A(20940,52366,99085),A(20941,52367,99086),A(20936,52362,99081))
				SetCollector:AddVariant(60000,nil,col,set,"NORMAL",TRANSMOG,A(20972,52941,99660),A(20974,52855,99574),A(20982,52858,99577),A(20983,52859,99578),A(20973,52854,99573))
				SetCollector:AddVariant(60000,nil,col,set,"HEROIC",TRANSMOG,A(20972,52438,99157),A(20974,52440,99159),A(20982,52448,99167),A(20983,52449,99168),A(20973,52439,99158))
				SetCollector:AddVariant(60000,nil,col,set,"MYTHIC",TRANSMOG,A(21040,52683,99402),A(21042,52685,99404),A(21043,52686,99405),A(21044,52687,99406),A(21041,52684,99403))

	set = SetCollector:AddSet(70000,nil,col,150,"HU_TR_RANGED_15",MAIL,HUNTER,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(19912,50373,95884),A(19914,50375,95886),A(19910,50371,95882),A(19911,50372,95883),A(19913,50374,95885))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(19920,49999,95257),A(19922,50001,95259),A(19918,49997,95255),A(19919,49998,95256),A(19921,50000,95258))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19928,50997,96628),A(19930,50999,96630),A(19926,50995,96626),A(19927,50996,96627),A(19929,50998,96629))

	set = SetCollector:AddSet(70000,nil,col,140,"HU_TR_RANGED_14",MAIL,HUNTER,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18964,44534,86636),A(18962,44532,86634),A(18965,44536,86638),A(18714,44535,86637),A(18963,44533,86635))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18566,43654,85296),A(18564,43652,85294),A(18568,43656,85298),A(18567,43655,85297),A(18565,43653,85295))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19063,44857,87004),A(19065,44859,87006),A(19061,44855,87002),A(19062,44856,87003),A(19064,44858,87005))

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,1,"HU_CD_90",MAIL,HUNTER,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"HU_CD_90",TRANSMOG,A(17679,46770,90072),A(17681,46772,90074),A(17677,46768,90070),A(17674,46773,90075),A(17678,46769,90071),A(17675,46766,90068),A(17680,46771,90073),A(17676,46767,90069))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"HU_PVP_16",MAIL,HUNTER,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24281,64114,115209),A(24283,64116,115211),A(24279,64112,115207),A(24280,64113,115208),A(24282,64115,115210))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24281,63996,115061),A(24283,63998,115063),A(24279,63994,115059),A(24280,63995,115060),A(24282,63997,115062))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24211,64521,115641),A(24213,64523,115643),A(24209,64519,115639),A(24210,64520,115640),A(24212,64522,115642))
				
	set = SetCollector:AddSet(70000,nil,col,16,"HU_PVP_16",MAIL,HUNTER,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24294,67684,119986),A(24296,67686,119988),A(24292,67682,119984),A(24293,67683,119985),A(24295,67685,119987))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24294,67579,119851),A(24296,67581,119853),A(24292,67577,119849),A(24293,67578,119850),A(24295,67580,119852))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24219,60178,111114),A(24221,60180,111116),A(24217,60176,111112),A(24218,60177,111113),A(24220,60179,111115))
				
	set = SetCollector:AddSet(70000,nil,col,15,"HU_PVP_RANGED_15",MAIL,HUNTER,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20729,54866,102690),A(20731,54907,102734),A(20727,54865,102689),A(20728,54909,102737),A(20730,54852,102670))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20745,55178,103039),A(20747,55180,103041),A(20743,55176,103037),A(20744,55177,103038),A(20741,55172,103033),A(20746,55179,103040),A(20742,55174,103035))
				
	set = SetCollector:AddSet(70000,nil,col,15,"HU_PVP_RANGED_15",MAIL,HUNTER,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20737,55516,103418),A(20739,55518,103420),A(20735,55514,103416),A(20736,55515,103417),A(20738,55517,103419))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20745,55178,103039),A(20747,55180,103041),A(20743,55176,103037),A(20744,55177,103038),A(20741,55172,103033),A(20746,55179,103040),A(20742,55174,103035))
				
	set = SetCollector:AddSet(70000,nil,col,14,"HU_PVP_RANGED_14",MAIL,HUNTER,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20737,53446,100322),A(20739,53450,100326),A(20735,53442,100318),A(20736,53444,100320),A(20738,53448,100324))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20745,53447,100323),A(20747,53451,100327),A(20743,53443,100319),A(20744,53445,100321),A(20746,53449,100325))
				
	set = SetCollector:AddSet(70000,nil,col,14,"HU_PVP_RANGED_14",MAIL,HUNTER,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20729,53734,100636),A(20731,53775,100680),A(20727,53733,100635),A(20728,53777,100683),A(20730,53720,100614))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20745,53447,100323),A(20747,53451,100327),A(20743,53443,100319),A(20744,53445,100321),A(20746,53449,100325))
end


local function GetMageAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,160,"MA_TR_CASTER_16",CLOTH,MAGE,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20939,52365,99084),A(20934,52360,99079),A(20933,52359,99078),A(20938,52364,99083),A(20932,52358,99077))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20976,52857,99576),A(20971,52940,99659),A(20970,52939,99658),A(20975,52856,99575),A(20977,52938,99657))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20976,52442,99161),A(20971,52434,99153),A(20970,52433,99152),A(20975,52441,99160),A(20977,52443,99162))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21036,52679,99398),A(21039,52682,99401),A(21038,52681,99400),A(21035,52678,99397),A(21037,52680,99399))
	set = SetCollector:AddSet(70000,nil,col,150,"MA_TR_CASTER_15",CLOTH,MAGE,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20203,50377,95891),A(20199,50380,95894),A(20201,50379,95893),A(20202,50376,95890),A(20204,50378,95892))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20212,50003,95261),A(20208,50006,95264),A(20210,50005,95263),A(20211,50002,95260),A(20213,50004,95262))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20221,51001,96635),A(20217,51004,96638),A(20219,51003,96637),A(20220,51000,96634),A(20222,51002,96636))
	set = SetCollector:AddSet(70000,nil,col,140,"MA_TR_CASTER_14",CLOTH,MAGE,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18659,44615,86717),A(18657,44612,86714),A(17946,44613,86715),A(17947,44616,86718),A(18660,44614,86716))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18589,43735,85377),A(18586,43732,85374),A(18587,43733,85375),A(18590,43736,85378),A(18588,43734,85376))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(18668,44861,87008),A(18664,44864,87011),A(18666,44863,87010),A(18667,44860,87007),A(18669,44862,87009))

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,1,"MA_CD_90",CLOTH,MAGE,CASTER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"MA_CD_90",TRANSMOG,A(19473,46779,90082),A(19474,46782,90085),A(18544,46781,90084),A(18543,46783,90086),A(18545,46778,90081),A(19472,46776,90079),A(18547,46780,90083),A(18541,46777,90080))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"MA_PVP_16",CLOTH,MAGE,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24392,64121,115221),A(24395,64124,115224),A(24394,64123,115223),A(24391,64120,115220),A(24393,64122,115222))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24392,64017,115091),A(24395,64020,115094),A(24394,64019,115093),A(24391,64016,115090),A(24393,64018,115092))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24104,64545,115678),A(24106,64548,115681),A(24108,64547,115680),A(24103,64544,115677),A(24105,64546,115679))
				
	set = SetCollector:AddSet(70000,nil,col,16,"MA_PVP_16",CLOTH,MAGE,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24401,67691,119998),A(24404,67694,120001),A(24403,67693,120000),A(24400,67690,119997),A(24402,676922,119999))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24401,67593,119874),A(24404,67596,119877),A(24403,67595,119876),A(24400,67592,119873),A(24402,67594,119875))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24113,60206,111151),A(24115,60209,111154),A(24117,60208,111153),A(24112,60205,111150),A(24114,60207,111152))
				
	set = SetCollector:AddSet(70000,nil,col,15,"MA_PVP_CASTER_15",CLOTH,MAGE,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(21130,54849,102667),A(21131,54854,102673),A(21136,54888,102715),A(21140,54908,102735),A(21130,54849,102648))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21106,55182,103043),A(21112,55185,103046),A(21110,55184,103045),A(21092,55130,102991),A(21104,55181,103042),A(21108,55183,103044),A(21096,55133,102994))
				
	set = SetCollector:AddSet(70000,nil,col,15,"MA_PVP_CASTER_15",CLOTH,MAGE,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(21105,55520,103422),A(21111,55523,103425),A(21109,55522,103424),A(21103,55519,103421),A(21107,55521,103423))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21106,55182,103043),A(21112,55185,103046),A(21110,55184,103045),A(21092,55130,102991),A(21104,55181,103042),A(21108,55183,103044),A(21096,55133,102994))
				
	set = SetCollector:AddSet(70000,nil,col,14,"MA_PVP_CASTER_14",CLOTH,MAGE,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(21105,53454,100330),A(21111,53460,100336),A(21109,53458,100334),A(21103,53452,100328),A(21107,53456,100332))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21106,53455,100331),A(21112,53461,100337),A(21110,53459,100335),A(21104,53453,100329),A(21108,53457,100333))
				
	set = SetCollector:AddSet(70000,nil,col,14,"MA_PVP_CASTER_14",CLOTH,MAGE,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(21130,53717,100611),A(21131,53722,100619),A(21136,53756,100661),A(21140,53776,100681),A(21127,53700,100592))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21106,53455,100331),A(21112,53461,100337),A(21110,53459,100335),A(21104,53453,100329),A(21108,53457,100333))
end


local function GetMonkAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,160,"MO_TR_MELEE_16",LEATHER,MONK,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20931,52364),A(20923,52356),A(20929,52352),A(20930,52353),A(20922,52355))		-- Need belt and feet for each variant
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20967,52934),A(20969,52936),A(20965,52836),A(20966,52837),A(20968,52935))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20967,52437),A(20969,52427),A(20965,52435),A(20966,52436),A(20968,52426))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21033,52674),A(21030,52676),A(21031,52677),A(21032,52673),A(21034,52675))
	set = SetCollector:AddSet(70000,nil,col,150,"MO_TR_MELEE_15",LEATHER,MONK,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20257,50383),A(20262,50385),A(20259,50381),A(20260,50382),A(20261,50384))		-- Need belt and feet for each variant
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20241,50009),A(20246,50011),A(20243,50007),A(20244,50008),A(20245,50010))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20249,51007),A(20254,51009),A(20251,51005),A(20252,51006),A(20253,51008))
	set = SetCollector:AddSet(70000,nil,col,140,"MO_TR_MELEE_14",LEATHER,MONK,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18799,44628),A(18803,44631),A(18801,44630),A(18718,44627),A(18802,44629))		-- Need belt and feet for each variant
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18593,43748),A(18591,43751),A(18595,43750),A(18594,43747),A(18592,43749))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(18806,44926),A(18811,44929),A(18808,44928),A(18809,44925),A(18810,44927))

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"MO_CD_90",LEATHER,MONK,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"MO_CD_90",TRANSMOG,A(19477,46789),A(19478,46791),A(18141,46787),A(18145,46792),A(18142,46788),A(19476,46785),A(18143,46790),A(18140,46786))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"MO_PVP_16",LEATHER,MONK,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23785,64129),A(23787,64131),A(23783,64132),A(23784,64128),A(23786,64130))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23785,64028),A(23787,64030),A(23787,64030),A(23783,64031),A(23784,64027))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23932,64559),A(23936,64561),A(23935,64562),A(23933,64558),A(23934,64560))
	set = SetCollector:AddSet(70000,nil,col,16,"MO_PVP_16",LEATHER,MONK,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23793,67699),A(23795,67701),A(23791,67702),A(23792,67698),A(23794,67700))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23793,67604),A(23795,67606),A(23791,67607),A(23792,67603),A(23794,67605))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23944,60220),A(23955,60222),A(23940,60223),A(23941,60219),A(23954,60221))
				
	set = SetCollector:AddSet(70000,nil,col,15,"MO_PVP_MELEE_15",LEATHER,MONK,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(21065,54885),A(21070,54815),A(21067,54893),A(21068,54855),A(21069,54839))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21083,55189),A(21088,55191),A(21085,55192),A(21086,55188),A(21082,55186),A(21087,55190),A(21084,55187))
	set = SetCollector:AddSet(70000,nil,col,15,"MO_PVP_MELEE_15",LEATHER,MONK,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(21074,55528),A(21079,55530),A(21076,55531),A(21077,55527),A(21078,55529))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21083,55189),A(21088,55191),A(21085,55192),A(21086,55188),A(21082,55186),A(21087,55190),A(21084,55187))
				
	set = SetCollector:AddSet(70000,nil,col,14,"MO_PVP_MELEE_14",LEATHER,MONK,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(21074,53469),A(21079,53473),A(21076,53475),A(21077,53467),A(21078,53471))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21083,53470),A(21088,53474),A(21085,53476),A(21086,53468),A(21087,53472))
	set = SetCollector:AddSet(70000,nil,col,14,"MO_PVP_MELEE_14",LEATHER,MONK,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(21065,53753),A(21070,53810),A(21067,53761),A(21077,55527),A(21069,53707))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21083,53470),A(21088,53474),A(21085,53476),A(21086,53468),A(21087,53472))
end


local function GetPaladinAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,161,"PA_TR_MELEE_16",PLATE,PALADIN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20889,52266),A(20895,52268),A(20901,52333),A(20892,52283),A(20890,52267))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20964,52932),A(20961,52943),A(20962,52847),A(20963,52906),A(20960,52942))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20964,52419),A(20961,52413),A(20962,52417),A(20963,52418),A(20960,52420))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21028,52660),A(21025,52654),A(21026,52668),A(21027,52661),A(21029,52653))
	set = SetCollector:AddSet(70000,nil,col,151,"PA_TR_MELEE_15",PLATE,PALADIN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(19952,50398),A(19954,70000),A(19950,50396),A(19951,50397),A(19953,50399))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(19935,50024),A(19937,50026),A(19933,50022),A(19934,50023),A(19936,50025))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19943,51022),A(19945,51024),A(19941,51020),A(19942,51021),A(19944,51023))
	set = SetCollector:AddSet(70000,nil,col,141,"PA_TR_MELEE_14",PLATE,PALADIN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18036,44579),A(18038,44577),A(18034,44581),A(18035,44580),A(18037,44578))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18021,43699),A(18023,43697),A(18019,43701),A(18020,43700),A(18022,43698))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(18044,44937),A(18046,44939),A(18042,44935),A(18043,44936),A(18045,44938))

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"PA_CD_90",PLATE,PALADIN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"PA_CD_90",TRANSMOG,A(17548,46797),A(17550,46799),A(17546,46795),A(17551,46800),A(17547,46796),A(17544,46793),A(17549,46798),A(17545,46794))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"PA_PVP_16",PLATE,PALADIN,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23971,64135),A(23973,64137),A(23969,64133),A(23970,64134),A(23972,64136))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23971,64034),A(23973,64036),A(23969,64032),A(23970,64033),A(23972,64035))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23710,64565),A(23712,64567),A(23708,64563),A(23709,64564),A(23711,64566))
	set = SetCollector:AddSet(70000,nil,col,16,"PA_PVP_16",PLATE,PALADIN,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23979,67705),A(23981,67707),A(23977,67703),A(23978,67704),A(23980,67706))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23979,67610),A(23981,67612),A(23977,67608),A(23978,67609),A(23980,67611))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23718,60226),A(23720,60228),A(23716,60224),A(23717,60225),A(23719,60227))
				
	set = SetCollector:AddSet(70000,nil,col,15,"PA_PVP_MELEE_15",PLATE,PALADIN,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20676,54944),A(20678,54915),A(20674,54917),A(20675,54819),A(20677,54945))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20684,55200),A(20686,55202),A(20682,55198),A(20683,55199),A(20680,55203),A(20685,55201),A(20681,55206))
	set = SetCollector:AddSet(70000,nil,col,15,"PA_PVP_MELEE_15",PLATE,PALADIN,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20692,55539),A(20694,55541),A(20690,55537),A(20691,55538),A(20693,55540))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20684,55200),A(20686,55202),A(20682,55198),A(20683,55199),A(20680,55203),A(20685,55201),A(20681,55206))
				
	set = SetCollector:AddSet(70000,nil,col,14,"PA_PVP_MELEE_14",PLATE,PALADIN,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20692,53491),A(20694,53495),A(20690,53487),A(20691,53489),A(20693,53493))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20684,53492),A(20686,53496),A(20682,53488),A(20683,53490),A(20685,53494))
	set = SetCollector:AddSet(70000,nil,col,14,"PA_PVP_MELEE_14",PLATE,PALADIN,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20676,53812),A(20678,53783),A(20674,53785),A(20675,53687),A(20677,53813))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20684,53492),A(20686,53496),A(20682,53488),A(20683,53490),A(20685,53494))
end


local function GetPriestAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,161,"PR_TR_CASTER_16",CLOTH,PRIEST,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20910,52301),A(20903,52286),A(20902,52285),A(20909,52300),A(20911,52302))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(21060,52868),A(21059,52909),A(20950,52908),A(20959,52867),A(20958,52869))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20957,52403),A(20951,52392),A(20950,52391),A(20959,52402),A(20958,52404))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21023,52641),A(21021,52644),A(21020,52643),A(21022,52640),A(21024,52642))
	set = SetCollector:AddSet(70000,nil,col,151,"PR_TR_CASTER_15",CLOTH,PRIEST,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20049,50417),A(20045,50415),A(20047,50419),A(20048,50416),A(20050,50418))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20058,50043),A(50054,50046),A(20056,50045),A(20057,50042),A(20059,50044))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20040,51041),A(20036,51044),A(20038,51043),A(20039,51040),A(20041,51042))
	set = SetCollector:AddSet(70000,nil,col,141,"PR_TR_CASTER_14",CLOTH,PRIEST,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18981,44603),A(18980,44606),A(17712,44605),A(17713,44602),A(17715,44604))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18585,43723),A(18584,43726),A(17694,43725),A(17695,43722),A(17697,43724))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19087,44956),A(19088,44959),A(17703,44958),A(17704,44955),A(17706,44957))

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"PR_CD_90",CLOTH,PRIEST,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"PR_CD_90",TRANSMOG,A(19482,46813),A(19481,46810),A(18917,46811),A(18916,46809),A(18918,46812),A(19480,46807),A(18920,46814),A(18914,46808))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"PR_PVP_16",CLOTH,PRIEST,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24392,64142),A(24395,64145),A(24394,64144),A(24391,64141),A(24393,64143))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24392,64044),A(24395,64047),A(24394,64046),A(24391,64043),A(24393,64045))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24923,64578),A(24925,64581),A(24927,64580),A(24922,64577),A(24924,64579))
	set = SetCollector:AddSet(70000,nil,col,16,"PR_PVP_16",CLOTH,PRIEST,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24401,67712),A(24404,67715),A(24403,67714),A(24400,67711),A(24402,67713))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24401,67620),A(24404,67623),A(24403,67622),A(24400,67619),A(24402,67621))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24913,60239),A(24916,60242),A(24918,60241),A(24912,60238),A(24915,60240))
				
	set = SetCollector:AddSet(70000,nil,col,15,"PR_PVP_CASTER_15",CLOTH,PRIEST,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20884,54920),A(20880,54853),A(20882,54812),A(20883,54880),A(20885,54811))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20874,55223),A(20870,55226),A(20872,55225),A(20873,55222),A(20868,55275),A(20875,55224),A(20869,55274))
	set = SetCollector:AddSet(70000,nil,col,15,"PR_PVP_CASTER_15",CLOTH,PRIEST,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20864,55561),A(20860,55564),A(20862,55563),A(20863,55560),A(20865,55562))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20874,55223),A(20870,55226),A(20872,55225),A(20873,55222),A(20868,55275),A(20875,55224),A(20869,55274))
				
	set = SetCollector:AddSet(70000,nil,col,14,"PR_PVP_CASTER_14",CLOTH,PRIEST,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20864,53541),A(20860,53547),A(20862,53545),A(20863,53539),A(20865,53543))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20874,55223),A(20870,55226),A(20872,55225),A(20873,55222),A(20875,55224))
	set = SetCollector:AddSet(70000,nil,col,14,"PR_PVP_CASTER_14",CLOTH,PRIEST,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20884,53745),A(20880,53787),A(20882,53726),A(20883,53674),A(20885,53746))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20874,55223),A(20870,55226),A(20872,55225),A(20873,55222),A(20875,55224))
end


local function GetRogueAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,160,"RO_TR_MELEE_16",LEATHER,ROGUE,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20906,52289),A(20908,52291),A(20904,52287),A(20905,52288),A(20907,52290))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(21061,52912),A(21062,52916),A(20952,52910),A(20953,52911),A(20955,52915))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20954,52395),A(20956,52397),A(20952,52393),A(20953,52394),A(20955,52396))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21015,52629),A(21017,52631),A(21019,52637),A(21018,52636),A(21016,52630))
				
	set = SetCollector:AddSet(70000,nil,col,150,"RO_TR_MELEE_15",LEATHER,ROGUE,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20098,50423),A(20103,50425),A(20100,50421),A(20101,50422),A(20102,50424))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20082,50049),A(20087,50051),A(20084,50047),A(20085,50048),A(20086,50050))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20090,51047),A(20095,51049),A(20092,51045),A(20093,51046),A(20094,51048))
				
	set = SetCollector:AddSet(70000,nil,col,140,"RO_TR_MELEE_14",LEATHER,ROGUE,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18968,44539),A(18966,44537),A(18969,44541),A(18715,44540),A(18967,44538))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18571,43659),A(18569,43657),A(18573,43661),A(18572,43660),A(18570,43658))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19085,44962),A(19092,44964),A(19089,44960),A(19090,44961),A(19091,44963))

	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"RO_CD_90",LEATHER,ROGUE,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RO_CD_90",TRANSMOG,A(17620,46817),A(17625,46822),A(17622,46819),A(17626,46823),A(17623,46820),A(17619,46816),A(17624,46821),A(17621,46818))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"RO_PVP_16",LEATHER,ROGUE,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23785,64148),A(23787,64150),A(23783,64146),A(23784,64147),A(23786,64149))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23785,64050),A(23787,64052),A(23783,64048),A(23784,64049),A(23786,64051))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23732,64584),A(23734,64586),A(23730,64582),A(23731,64583),A(23733,64585))
	set = SetCollector:AddSet(70000,nil,col,16,"RO_PVP_16",LEATHER,ROGUE,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23793,67718),A(23795,67720),A(23791,67716),A(23792,67717),A(23794,67719))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23793,67626),A(23795,67628),A(23791,67624),A(23792,67625),A(23794,67625))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23741,60245),A(23743,60247),A(23739,60243),A(23740,60244),A(23742,60246))
				
	set = SetCollector:AddSet(70000,nil,col,15,"RO_PVP_MELEE_15",LEATHER,ROGUE,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20770,54883),A(20772,54904),A(20768,54900),A(20769,54845),A(20771,54903))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20762,55231),A(20764,55233),A(20760,55229),A(20761,55230),A(20758,55227),A(20763,55232),A(20759,55228))
	set = SetCollector:AddSet(70000,nil,col,15,"RO_PVP_MELEE_15",LEATHER,ROGUE,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20754,55575),A(20756,55577),A(20752,55573),A(20753,55574),A(20755,55576))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20762,55231),A(20764,55233),A(20760,55229),A(20761,55230),A(20758,55227),A(20763,55232),A(20759,55228))
				
	set = SetCollector:AddSet(70000,nil,col,14,"RO_PVP_MELEE_14",LEATHER,ROGUE,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20754,53558),A(20756,53562),A(20752,53554),A(20753,53556),A(20755,53560))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20762,53559),A(20764,53563),A(20760,53555),A(20761,53557),A(20758,53561))
	set = SetCollector:AddSet(70000,nil,col,14,"RO_PVP_MELEE_14",LEATHER,ROGUE,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20770,55054),A(20772,55075),A(20768,55071),A(20769,55016),A(20771,55074))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20762,53559),A(20764,53563),A(20760,53555),A(20761,53557),A(20758,53561))
end


local function GetShamanAppearances()
	local col = ""
	local set = ""
	
	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,160,"SH_TR_16",MAIL,SHAMAN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20893,52370),A(20887,52372),A(20897,52368),A(21495,61093),A(20896,52369),A(21491,61663),A(20894,52371),A(21492,61022))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20943,52926),A(20945,52928),A(20949,52860),A(21485,61092),A(20942,52861),A(21481,61662),A(20944,52927),A(21482,61021))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20943,52374),A(20945,52376),A(20949,52387),A(21485,61092),A(20942,52373),A(21481,61662),A(20944,52375),A(21482,61021))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21010,52613),A(21012,52615),A(21014,52625),A(21490,61094),A(21013,52626),A(21486,61664),A(21011,52614),A(21487,61023))
				
	set = SetCollector:AddSet(70000,nil,col,150,"SH_TR_CASTER_15",MAIL,SHAMAN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20359,50438),A(20562,50440),A(20362,50436),A(20358,50437),A(20360,50439))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20313,50064),A(20509,50066),A(20344,50062),A(20338,49620),A(20341,50063),A(20339,49651),A(20342,50065),A(20312,49593))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20350,51062),A(20573,51064),A(20353,51060),A(20345,50824),A(20349,51061),A(20346,50856),A(20351,51063),A(20347,50800))
				
	set = SetCollector:AddSet(70000,nil,col,140,"SH_TR_CASTER_14",MAIL,SHAMAN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18960,44529),A(18958,44531),A(18717,44527),A(18716,44528),A(18959,44530))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18560,43649),A(18558,43651),A(18563,43647),A(18850,44307),A(18561,43648),A(18883,44390),A(18559,43650),A(18874,44372))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19069,44977),A(19095,44979),A(19093,44975),A(19051,44820),A(19094,44976),A(19072,45009),A(19076,44978),A(19079,44986))
	
	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"SH_CD_90",MAIL,SHAMAN,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"SH_CD_90",TRANSMOG,A(17856,46829,90132),A(17858,46831,90134),A(17854,46827,90130),A(17851,46824,90127),A(17855,46828,90131),A(17852,46825,90128),A(17857,46830,90133),A(17853,46826,90129))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"SH_PVP_16",MAIL,SHAMAN,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24281,64153),A(24283,64155),A(24279,64151),A(24280,64152),A(24282,64154))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24281,64055),A(24283,64057),A(24279,64053),A(24280,64054),A(24282,64056))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24756,64589),A(24757,64591),A(24754,64587),A(24755,64588),A(24758,64590))
	set = SetCollector:AddSet(70000,nil,col,16,"SH_PVP_16",MAIL,SHAMAN,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24294,67723),A(24296,67725),A(24292,67721),A(24293,67722),A(24295,67724))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24294,67631),A(24296,67634),A(24292,67629),A(24293,67630),A(24295,67632))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24765,60250),A(24767,60252),A(24763,60248),A(24764,60249),A(24766,60251))
				
	set = SetCollector:AddSet(70000,nil,col,15,"SH_PVP_CASTER_15",MAIL,SHAMAN,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20652,54869),A(20654,54824),A(20650,54914),A(20651,54868),A(20653,54946))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20628,55250),A(20630,55252),A(20626,55248),A(20624,55247),A(20627,55249),A(20629,55251),A(20625,55236))
	set = SetCollector:AddSet(70000,nil,col,15,"SH_PVP_CASTER_15",MAIL,SHAMAN,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20644,55596),A(20646,55598),A(21113,55594),A(20643,55595),A(20645,55597))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20628,55250),A(20630,55252),A(20626,55248),A(20624,55247),A(20627,55249),A(20629,55251),A(20625,55236))
				
	set = SetCollector:AddSet(70000,nil,col,14,"SH_PVP_CASTER_14",MAIL,SHAMAN,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20644,53598),A(20646,53602),A(21113,53594),A(20643,53596),A(20645,53600))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20628,53599),A(20630,53603),A(20626,53595),A(20627,53597),A(20629,53601))
	set = SetCollector:AddSet(70000,nil,col,14,"SH_PVP_CASTER_14",MAIL,SHAMAN,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20652,53737),A(20654,53686),A(20650,53782),A(20651,53807),A(20653,53814))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20628,53599),A(20630,53603),A(20626,53595),A(20627,53597),A(20629,53601))
end


local function GetWarlockAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,161,"WK_TR_CASTER_16",CLOTH,WARLOCK,CASTER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20925,52335),A(20919,52326),A(20927,52337),A(20924,52334),A(20926,52336))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20947,52378),A(20996,52486),A(20995,52485),A(20946,52377),A(20948,52379))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20947,52849),A(20996,52882),A(20995,52851),A(20946,52848),A(20948,52850))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21053,52706),A(21051,52698),A(21050,52697),A(21052,52705),A(21054,52707))
	set = SetCollector:AddSet(70000,nil,col,151,"WK_TR_CASTER_15",CLOTH,WARLOCK,CASTER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(19964,50460),A(19960,50463),A(19962,50462),A(19963,50459),A(19965,50461))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20156,50068),A(20159,50071),A(20158,50070),A(20155,50067),A(20157,50069))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(19972,51084),A(19975,51087),A(19974,51086),A(19971,51083),A(19973,51085))
	set = SetCollector:AddSet(70000,nil,col,141,"WK_TR_CASTER_14",CLOTH,WARLOCK,CASTER,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18084,44608),A(18080,44611),A(18082,44610),A(18083,44607),A(18982,44609))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18093,43728),A(18089,43731),A(18091,43730),A(18092,43727),A(18094,43729))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(18075,45014),A(18071,45017),A(18073,45016),A(18074,45013),A(19058,45015))
				
	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"WK_CD_90",CLOTH,WARLOCK,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"WK_CD_90",TRANSMOG,A(19485,46838),A(19484,46834),A(19174,46836),A(19173,46835),A(19175,46837),A(19483,46832),A(19177,46839),A(19171,46833))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"WK_PVP_16",CLOTH,WARLOCK,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24392,64157),A(24395,64160),A(24394,64159),A(24391,64156),A(24393,64158))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24392,64072),A(24395,64075),A(24394,64074),A(24391,64071),A(24393,64073))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24131,64611),A(24133,64614),A(24135,64613),A(24130,64610),A(24132,64612))
	set = SetCollector:AddSet(70000,nil,col,16,"WK_PVP_16",CLOTH,WARLOCK,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(24401,67727),A(24404,67730),A(24403,67729),A(24400,67726),A(24402,67728))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(24401,67642),A(24404,67645),A(24403,67644),A(24400,67641),A(24402,67643))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(24122,60274),A(24124,60277),A(24126,60276),A(24121,60273),A(24123,60275))
				
	set = SetCollector:AddSet(70000,nil,col,15,"WK_PVP_CASTER_15",CLOTH,WARLOCK,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(21138,54899),A(21132,54859),A(21128,54843),A(21137,54898),A(21141,54924))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21117,55263),A(21123,55266),A(21121,55265),A(21115,55262),A(21094,55131),A(21119,55264),A(21098,55134))
	set = SetCollector:AddSet(70000,nil,col,15,"WK_PVP_CASTER_15",CLOTH,WARLOCK,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(21116,55611),A(21122,55614),A(21120,55613),A(21114,55610),A(21118,55612))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(21117,55263),A(21123,55266),A(21121,55265),A(21115,55262),A(21094,55131),A(21119,55264),A(21098,55134))
				
	set = SetCollector:AddSet(70000,nil,col,14,"WK_PVP_CASTER_14",CLOTH,WARLOCK,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(21116,53628),A(21122,53634),A(21120,53632),A(21114,53626),A(21118,53630))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20628,53629),A(20630,53635),A(20626,53633),A(20627,53627),A(20629,53631))
	set = SetCollector:AddSet(70000,nil,col,14,"WK_PVP_CASTER_14",CLOTH,WARLOCK,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(21138,53767),A(21132,53727),A(21128,53711),A(21137,53766),A(21141,53792))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20628,53629),A(20630,53635),A(20626,53633),A(20627,53627),A(20629,53631))	
end


local function GetWarriorAppearances()
	local col = ""
	local set = ""

	col = SetCollector.RAID
	set = SetCollector:AddSet(70000,nil,col,161,"WR_TR_MELEE_16",PLATE,WARRIOR,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20913,52327),A(20912,52317),A(20916,52328),A(20915,52315),A(20914,52316))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20994,52883),A(20991,52842),A(20992,52884),A(20993,52840),A(20990,52841))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20994,52484),A(20991,52477),A(20992,52478),A(20993,52479),A(20990,52476))
				SetCollector:AddVariant(70000,nil,col,set,"MYTHIC",TRANSMOG,A(21047,52699),A(21045,52695),A(21049,52692),A(21046,52693),A(21048,52694))
	
	set = SetCollector:AddSet(70000,nil,col,151,"WR_TR_MELEE_15",PLATE,WARRIOR,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(20077,50464),A(20079,50468),A(20075,50465),A(20076,50466),A(20078,50467))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(20168,50072),A(20170,50076),A(20166,50073),A(20167,50074),A(20169,50075))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(20176,51088),A(20178,51092),A(20174,51089),A(20175,51090),A(20177,51091))
	
	set = SetCollector:AddSet(70000,nil,col,141,"WR_TR_MELEE_14",PLATE,WARRIOR,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"RAIDFINDER",TRANSMOG,A(18164,44571),A(18166,44567),A(18067,44570),A(18068,44569),A(18165,44568))
				SetCollector:AddVariant(70000,nil,col,set,"NORMAL",TRANSMOG,A(18158,43691),A(18160,43687),A(18156,43690),A(18157,43689),A(18159,43688))
				SetCollector:AddVariant(70000,nil,col,set,"HEROIC",TRANSMOG,A(18172,45018),A(18174,45022),A(18170,45019),A(18171,45020),A(18173,45021))
	
	col = SetCollector.CHALLENGE
	set = SetCollector:AddSet(70000,nil,col,90,"WR_CD_90",PLATE,WARRIOR,ANY,ANY)
				SetCollector:AddVariant(70000,nil,col,set,"WR_CD_90",TRANSMOG,A(19487,46846,90151),A(19488,46848,90153),A(18627,46844,90149),A(18632,46849,90154),A(18628,46845,90150),A(19486,46842,90147),A(18630,46847,90152),A(18626,46843,90148))

	col = SetCollector.PVP
	set = SetCollector:AddSet(70000,nil,col,16,"WR_PVP_16",PLATE,WARRIOR,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23971,64163),A(23973,64165),A(23969,64161),A(23970,64162),A(23972,64164))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23971,64078),A(23973,64080),A(23969,64076),A(23970,64077),A(23972,64079))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23753,64617),A(23755,64619),A(23751,64615),A(23752,64616),A(23754,64618))
	set = SetCollector:AddSet(70000,nil,col,16,"WR_PVP_16",PLATE,WARRIOR,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"ASPIRANT",TRANSMOG,A(23979,67733),A(23981,67735),A(23977,67731),A(23978,67732),A(23980,67734))
				SetCollector:AddVariant(70000,nil,col,set,"COMBATANT",TRANSMOG,A(23979,67648),A(23981,67650),A(23977,67646),A(24400,67647),A(24402,67649))
				SetCollector:AddVariant(70000,nil,col,set,"GLADIATOR",TRANSMOG,A(23761,60280),A(23763,60282),A(23759,60278),A(23760,60279),A(23762,60281))
				
	set = SetCollector:AddSet(70000,nil,col,15,"WR_PVP_MELEE_15",PLATE,WARRIOR,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20660,54809),A(20662,54861),A(20658,54901),A(20659,54808),A(20661,54905))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20635,55269,103130),A(20637,55271,103132),A(20633,55267,103128),A(20634,55268,103129),A(20631,55213,103074),A(20636,55270,103131),A(20632,55214,103075))
	set = SetCollector:AddSet(70000,nil,col,15,"WR_PVP_MELEE_15",PLATE,WARRIOR,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20668,55617),A(20670,55619),A(20666,55615),A(20667,55616),A(20669,55618))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20635,55269,103130),A(20637,55271,103132),A(20633,55267,103128),A(20634,55268,103129),A(20631,55213,103074),A(20636,55270,103131),A(20632,55214,103075))
				
	set = SetCollector:AddSet(70000,nil,col,14,"WR_PVP_MELEE_14",PLATE,WARRIOR,ANY,ALLIANCE)
				SetCollector:AddVariant(70000,nil,col,set,"ALLIANCE",TRANSMOG,A(20668,53640),A(20670,53644),A(20666,53636),A(20667,53638),A(20669,53642))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20635,55269,103130),A(20637,55271,103132),A(20633,55267,103128),A(20634,55268,103129),A(20636,55270,103131))
	set = SetCollector:AddSet(70000,nil,col,14,"WR_PVP_MELEE_14",PLATE,WARRIOR,ANY,HORDE)
				SetCollector:AddVariant(70000,nil,col,set,"HORDE",TRANSMOG,A(20660,53677),A(20662,53729),A(20658,53769),A(20659,53676),A(20661,53773))
				SetCollector:AddVariant(70000,nil,col,set,"ELITE",TRANSMOG,A(20635,55269,103130),A(20637,55271,103132),A(20633,55267,103128),A(20634,55268,103129),A(20636,55270,103131))
end


--
--	GLOBAL FUNCTIONS
--

function SetCollector:GetVersion05Appearances()
	GetLegendaries()
	GetCraftedAppearances()

	GetDeathKnightAppearances()
	GetDruidAppearances()
	GetHunterAppearances()
	GetMageAppearances()
	GetMonkAppearances()
	GetPaladinAppearances()
	GetPriestAppearances()
	GetRogueAppearances()
	GetShamanAppearances()
	GetWarlockAppearances()
	GetWarriorAppearances()
end
